spechist
Prev | Orchestra Opcodes and Operators | Next

## spechist

spechist — Accumulates the values of successive spectral frames.

## Description

Accumulates the values of successive spectral frames.

## Syntax

    wsig spechist wsigin

## Performance

wsigin -- the input spectra.

Accumulates the values of successive spectral frames. At each new frame of wsigin, the accumulations-to-date in each magnitude track are written to the output spectrum. This unit thus provides a running histogram of spectral distribution.

## Examples

      wsig2    specdiff         wsig1               ; sense onsets
      wsig3    specfilt         wsig2, 2            ; absorb slowly
               specdisp         wsig2, .1           ; & display both spectra
               specdisp         wsig3, .1

## See Also

specaddm, specdiff, specfilt, specscal

Prev | Up | Next
specfilt | Home | specptrk